@REM BEGIN COPYRIGHT
@REM *************************************************************************
@REM 
@REM  Licensed Materials - Property of IBM
@REM  5725-C94, 5725-C95, 5725-C96
@REM  (C) Copyright IBM Corporation 2013. All Rights Reserved.
@REM  US Government Users Restricted Rights- Use, duplication or disclosure
@REM  restricted by GSA ADP Schedule Contract with IBM Corp.
@REM 
@REM *************************************************************************
@REM END COPYRIGHT

@setlocal
@echo off

@REM Bootstrap values ...
call "%~dp0..\.."\bin\setupCmdLine.bat

:Loop
IF "%1" == "" GOTO Continue
IF "%1" == "-de" (
  set deName=%2
  GOTO Forward
)
IF "%1" == "-propertyFile" (
  set propertyFile=%2
  GOTO Forward
)
IF "%1" == "-profileName" (
  set profileName=%2
  GOTO Forward
)

echo ERROR: Invalid parameter: %1
GOTO help

:Forward
shift /1
shift /1
GOTO Loop

:Continue

set "propertyFile=%propertyFile:\=/%"

if "%profileName%"=="" (
	call "%USER_INSTALL_ROOT%\bin\wsadmin.bat" -connType NONE -lang jython -f "%WAS_HOME%/BPM/scripts/tuneBPM.py" "%deName%" "%propertyFile%"
) else (
	call "%WAS_HOME%\bin\wsadmin.bat" -profileName "%profileName%" -connType NONE -lang jython -f "%WAS_HOME%/BPM/scripts/tuneBPM.py" "%deName%" "%propertyFile%"
)
 
GOTO END

:help
ECHO Usage:
ECHO.
ECHO    tuneBPM.bat -de ^<de name^> -propertyFile ^<property file path^>
ECHO.
ECHO    where:
ECHO.
ECHO    -profileName ^<profile name^>:
ECHO		Specify the deployment manager profile name.
ECHO.
ECHO    -de ^<de name^>:
ECHO		Specify the deployment environment name.
ECHO.
ECHO    -propertyFile ^<property file path^>:
ECHO		Specify the property file path. 
ECHO.

GOTO END

:END
ECHO.
EXIT /B %RC%
ENDLOCAL